routes/web.php
<?php

/*

| Web Routes
|--------------------------------------------------------------------------
 => '|--------------------------------------------------------------------------'|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');
//, 'active'
Route::group(['namespace' => 'Site', 'as' => 'site.', 'middleware' => ['auth']], function(){
    Route::group(['as' => 'users.', 'prefix' => 'users'], function(){
        Route::get('show', 'UsersController@show')->name('show');
    });

    Route::group(['as' => 'auth.'], function(){
        Route::get('edit', 'UsersController@edit')->name('edit');
        Route::post('update', 'UsersController@update')->name('update');
        Route::post('delete', 'UsersController@delete')->name('delete');
    });
});

Route::group(['namespace' => 'Admin', 'prefix' => 'dashboard', 'middleware' => ['auth', 'admin']], function(){
    Route::get('/', 'DashboardController@index')->name('home');
    Route::group(['prefix' => 'users', 'as' => 'users.'], function(){
        Route::get('/', 'UsersController@index')->name('index');
        Route::get('{id}/show', 'UsersController@show')->name('show');
        Route::get('{id}/edit', 'UsersController@edit')->name('edit');
        Route::post('{id}/update', 'UsersController@update')->name('update');
        Route::post('{id}/delete', 'UsersController@delete')->name('delete');
    });
});

app/User.php
<?php

namespace App;

use Illuminate\Notifications\Notifiable;
use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Foundation\Auth\User as Authenticatable;

class User extends Authenticatable
{
    use Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'name', 'email', 'password', 'mobile', 'file', 'reason_block'
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password', 'remember_token',
    ];

    /**
     * The attributes that should be cast to native types.
     *
     * @var array
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];

    public function isAdmin()
    {
        return $this->admin;
    }
}

app/Http/Controllers/Admin/DashboardController.php
<?php

namespace App\Http\Controllers\Admin;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class DashboardController extends Controller
{
    //
    public function index(){
        return view('admin.index');
    }
}

app/Http/Controllers/Admin/UsersController.php
<?php

namespace App\Http\Controllers\Admin;

use App\User;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class UsersController extends Controller
{
    //
    public function index(){
        $users = User::where('id', '<>', auth()->user()->id)
        ->where('admin', false)
        ->get();
        return view('admin.users.index', compact('users'));
    }

    public function show($id){
        $user = User::findOrfail($id);
        return view('admin.users.show', compact('user'));
    }

    public function edit($id){
        $user = User::findOrfail($id);
        return view('admin.users.edit', compact('user'));
    }

    public function update($id, Request $requset){
        $user = User::findOrfail($id);
        $requset->has('active')? $active = true : $active = false;
        $requset->has('status')? $status = true : $status = false;
        $user->status = $status;
        $user->active = $active;
        $user->reason_block = $requset->reason_block;
        $user->update();
        alert()->success('Success', 'Your Data Updated')->autoclose(6000);
        return redirect()->back();
    }

    public function delete($id, Request $requset){
        $user = User::findOrfail($id);
        $user->delete();
        alert()->success('Success', 'Your Data Deleted')->autoclose(6000);
        return redirect()->route('users.index');
    }


}

app/Http/Controllers/Controller.php
<?php

namespace App\Http\Controllers;

use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Routing\Controller as BaseController;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Foundation\Auth\Access\AuthorizesRequests;

class Controller extends BaseController
{
    use AuthorizesRequests, DispatchesJobs, ValidatesRequests;
}

app/Http/Controllers/HomeController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

class HomeController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth');
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Contracts\Support\Renderable
     */
    public function index()
    {
        return view('home');
    }
}

app/Http/Controllers/Site/UsersController.php
<?php

namespace App\Http\Controllers\Site;

use App\User;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Storage;
use App\Http\Requests\Site\updateUserRequest;

class UsersController extends Controller
{
    //

    public function show(){
        $users = User::whereAdmin(false)->where('id', '<>', auth()->user()->id)->get();
        return view('site.users.show', compact('users'));
    }

    public function edit(){
        return view('site.auth.edit');
    }

    public function update(updateUserRequest $requset){
        $user = auth()->user();
        if (request()->hasFile('file')) {
            Storage::delete('public/'.$user->file);
            $file_path = base_path() . '/storage/app/public/';
            $file = $requset['file'];
            $extension = $file->extension();
            $newFileName = time() . '_' . md5((string)mt_rand(1, 1000000)) . '.' . $extension;
            $file->storeAs('public', $newFileName);
        }
        $requset['file']     ? $fileName = $newFileName : $fileName = $user->file;
        $requset['password'] ? $password = Hash::make($requset['password']) : $password = $user->password;

        $user->update([
                'name' => $requset['name'],
                'email' => $requset['email'],
                'file' => $fileName,
                'mobile' => json_encode($requset['mobile']),
                'password' => $password,
            ]);
        alert()->success('Success', 'Your Data Updated')->autoclose(6000);
        return redirect()->back();
    }

    public function delete($id, Request $requset){
        $user = User::findOrfail($id);
        $user->delete();
        alert()->success('Success', 'Your Data Deleted')->autoclose(6000);
        return redirect()->route('users.index');
    }

}

resources/views/admin/layouts/app.blade.php
<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>AdminLTE 3 | Dashboard</title>
  <!-- Tell the browser to be responsive to screen width -->
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="{{ asset('admin/plugins/fontawesome-free/css/all.min.css')}}">
  <!-- Ionicons -->
  <link rel="stylesheet" href="https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css')}}">
  <!-- Tempusdominus Bbootstrap 4 -->
  <link rel="stylesheet" href="{{ asset('admin/plugins/tempusdominus-bootstrap-4/css/tempusdominus-bootstrap-4.min.css')}}">
  <!-- iCheck -->
  <link rel="stylesheet" href="{{ asset('admin/plugins/icheck-bootstrap/icheck-bootstrap.min.css')}}">
  <!-- JQVMap -->
  <link rel="stylesheet" href="{{ asset('admin/plugins/jqvmap/jqvmap.min.css')}}">
  <!-- Theme style -->
  <link rel="stylesheet" href="{{ asset('admin/dist/css/adminlte.min.css')}}">
  <!-- overlayScrollbars -->
  <link rel="stylesheet" href="{{ asset('admin/plugins/overlayScrollbars/css/OverlayScrollbars.min.css')}}">
  <!-- Daterange picker -->
  <link rel="stylesheet" href="{{ asset('admin/plugins/daterangepicker/daterangepicker.css')}}">
  <!-- summernote -->
  <link rel="stylesheet" href="{{ asset('admin/plugins/summernote/summernote-bs4.css')}}">
  <!-- Google Font: Source Sans Pro -->
  <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
</head>
<body class="hold-transition sidebar-mini layout-fixed">
<div class="wrapper">

  @include('admin.layouts.nav')
  @include('admin.layouts.sidebar')
  
  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
  @include('admin.layouts.header')
  @yield('content')
  </div>
  <!-- /.content-wrapper -->
  <!-- Control Sidebar -->
  <aside class="control-sidebar control-sidebar-dark">
    <!-- Control sidebar content goes here -->
  </aside>
  <!-- /.control-sidebar -->

  @include('admin.layouts.footer')
    
</div>
<!-- ./wrapper -->

<!-- jQuery -->
<script src="{{ asset('admin/plugins/jquery/jquery.min.js')}}"></script>
<!-- jQuery UI 1.11.4 -->
<script src="{{ asset('admin/plugins/jquery-ui/jquery-ui.min.js')}}"></script>
<!-- Resolve conflict in jQuery UI tooltip with Bootstrap tooltip -->
<script>
  $.widget.bridge('uibutton', $.ui.button)
</script>
<!-- Bootstrap 4 -->
<script src="{{ asset('admin/plugins/bootstrap/js/bootstrap.bundle.min.js')}}"></script>
<!-- ChartJS -->
<script src="{{ asset('admin/plugins/chart.js/Chart.min.js')}}"></script>
<!-- Sparkline -->
<script src="{{ asset('admin/plugins/sparklines/sparkline.js')}}"></script>
<!-- JQVMap -->
<script src="{{ asset('admin/plugins/jqvmap/jquery.vmap.min.js')}}"></script>
<script src="{{ asset('admin/plugins/jqvmap/maps/jquery.vmap.usa.js')}}"></script>
<!-- jQuery Knob Chart -->
<script src="{{ asset('admin/plugins/jquery-knob/jquery.knob.min.js')}}"></script>
<!-- daterangepicker -->
<script src="{{ asset('admin/plugins/moment/moment.min.js')}}"></script>
<script src="{{ asset('admin/plugins/daterangepicker/daterangepicker.js')}}"></script>
<!-- Tempusdominus Bootstrap 4 -->
<script src="{{ asset('admin/plugins/tempusdominus-bootstrap-4/js/tempusdominus-bootstrap-4.min.js')}}"></script>
<!-- Summernote -->
<script src="{{ asset('admin/plugins/summernote/summernote-bs4.min.js')}}"></script>
<!-- overlayScrollbars -->
<script src="{{ asset('admin/plugins/overlayScrollbars/js/jquery.overlayScrollbars.min.js')}}"></script>
<!-- AdminLTE App -->
<script src="{{ asset('admin/dist/js/adminlte.js')}}"></script>
<!-- AdminLTE dashboard demo (This is only for demo purposes) -->
<script src="{{ asset('admin/dist/js/pages/dashboard.js')}}"></script>
<!-- AdminLTE for demo purposes -->
<script src="{{ asset('admin/dist/js/demo.js')}}"></script>
@yield('script')

{{--  SweetAlert  --}}
<script src="{{asset('admin/plugins/sweet-alert/sweetalert.min.js')}}"></script>
@if (Session::has('sweet_alert.alert'))
    <script>
        swal({!! Session::get('sweet_alert.alert') !!});
    </script>
@endif

<!-- Include this after the sweet alert js file -->
@include('sweet::alert')
<script>
    $(document).on('click', '.delete-btn', function(e){
      e.preventDefault();
      console.log('test')
      const renderURL = $(this).attr('renderURL');
      const formDelete = $('#form-delete');
      formDelete.attr('action', renderURL);
      swal({
          title: 'Are you sure?',
          text: 'Canot get this data again',
          icon: 'warning',
          buttons: ['Cancel', 'Delete'],
          dangerMode: true,
      })
      .then((willDelete) => {
          if (willDelete) {
              formDelete.submit();
          } else {
              swal({
                  title: 'Good',
                  text:'Your data saved',
                  icon: 'success',
                  buttons: false,
              });
          }
        });
    });
    
  </script>
</body>
</html>

resources/views/admin/layouts/footer.blade.php
<footer class="main-footer">
  <strong>Copyright &copy; {{ now()->format('Y') }} <a href="https://m.elnagar.mycv.studio">Mohammed elnagar</a>.</strong>
  All rights reserved.
  <div class="float-right d-none d-sm-inline-block">
    <b>Version</b> 3.0.3-pre
  </div>
</footer>

resources/views/admin/layouts/header.blade.php
<!-- Content Header (Page header) -->
<div class="content-header">
  <div class="container-fluid">
    <div class="row mb-2">
      <div class="col-sm-6">
        <h1 class="m-0 text-dark">Dashboard</h1>
      </div><!-- /.col -->
      <div class="col-sm-6">
        <ol class="breadcrumb float-sm-right">
          <li class="breadcrumb-item"><a href="#">Home</a></li>
          <li class="breadcrumb-item active">Dashboard v1</li>
        </ol>
      </div><!-- /.col -->
    </div><!-- /.row -->
  </div><!-- /.container-fluid -->
</div>
<!-- /.content-header -->

resources/views/admin/layouts/nav.blade.php
<!-- Navbar -->
  <nav class="main-header navbar navbar-expand navbar-white navbar-light">
    <!-- Left navbar links -->
    <ul class="navbar-nav">
      <li class="nav-item">
        <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
      </li>
      <li class="nav-item d-none d-sm-inline-block">
        <a href="index3.html" class="nav-link">Home</a>
      </li>
      <li class="nav-item d-none d-sm-inline-block">
        <a href="#" class="nav-link">Contact</a>
      </li>
    </ul>

    <!-- SEARCH FORM -->
    <form class="form-inline ml-3">
      <div class="input-group input-group-sm">
        <input class="form-control form-control-navbar" type="search" placeholder="Search" aria-label="Search">
        <div class="input-group-append">
          <button class="btn btn-navbar" type="submit">
            <i class="fas fa-search"></i>
          </button>
        </div>
      </div>
    </form>

    <!-- Right navbar links -->
    <ul class="navbar-nav ml-auto">
      <!-- Messages Dropdown Menu -->
      <li class="nav-item dropdown">
        <a class="nav-link" data-toggle="dropdown" href="#">
          <i class="far fa-comments"></i>
          <span class="badge badge-danger navbar-badge">3</span>
        </a>
        <div class="dropdown-menu dropdown-menu-lg dropdown-menu-right">
          <a href="#" class="dropdown-item">
            <!-- Message Start -->
            <div class="media">
              <img src="dist/img/user1-128x128.jpg" alt="User Avatar" class="img-size-50 mr-3 img-circle">
              <div class="media-body">
                <h3 class="dropdown-item-title">
                  Brad Diesel
                  <span class="float-right text-sm text-danger"><i class="fas fa-star"></i></span>
                </h3>
                <p class="text-sm">Call me whenever you can...</p>
                <p class="text-sm text-muted"><i class="far fa-clock mr-1"></i> 4 Hours Ago</p>
              </div>
            </div>
            <!-- Message End -->
          </a>
          <div class="dropdown-divider"></div>
          <a href="#" class="dropdown-item">
            <!-- Message Start -->
            <div class="media">
              <img src="dist/img/user8-128x128.jpg" alt="User Avatar" class="img-size-50 img-circle mr-3">
              <div class="media-body">
                <h3 class="dropdown-item-title">
                  John Pierce
                  <span class="float-right text-sm text-muted"><i class="fas fa-star"></i></span>
                </h3>
                <p class="text-sm">I got your message bro</p>
                <p class="text-sm text-muted"><i class="far fa-clock mr-1"></i> 4 Hours Ago</p>
              </div>
            </div>
            <!-- Message End -->
          </a>
          <div class="dropdown-divider"></div>
          <a href="#" class="dropdown-item">
            <!-- Message Start -->
            <div class="media">
              <img src="dist/img/user3-128x128.jpg" alt="User Avatar" class="img-size-50 img-circle mr-3">
              <div class="media-body">
                <h3 class="dropdown-item-title">
                  Nora Silvester
                  <span class="float-right text-sm text-warning"><i class="fas fa-star"></i></span>
                </h3>
                <p class="text-sm">The subject goes here</p>
                <p class="text-sm text-muted"><i class="far fa-clock mr-1"></i> 4 Hours Ago</p>
              </div>
            </div>
            <!-- Message End -->
          </a>
          <div class="dropdown-divider"></div>
          <a href="#" class="dropdown-item dropdown-footer">See All Messages</a>
        </div>
      </li>
      <!-- Notifications Dropdown Menu -->
      <li class="nav-item dropdown">
        <a class="nav-link" data-toggle="dropdown" href="#">
          <i class="far fa-bell"></i>
          <span class="badge badge-warning navbar-badge">15</span>
        </a>
        <div class="dropdown-menu dropdown-menu-lg dropdown-menu-right">
          <span class="dropdown-item dropdown-header">15 Notifications</span>
          <div class="dropdown-divider"></div>
          <a href="#" class="dropdown-item">
            <i class="fas fa-envelope mr-2"></i> 4 new messages
            <span class="float-right text-muted text-sm">3 mins</span>
          </a>
          <div class="dropdown-divider"></div>
          <a href="#" class="dropdown-item">
            <i class="fas fa-users mr-2"></i> 8 friend requests
            <span class="float-right text-muted text-sm">12 hours</span>
          </a>
          <div class="dropdown-divider"></div>
          <a href="#" class="dropdown-item">
            <i class="fas fa-file mr-2"></i> 3 new reports
            <span class="float-right text-muted text-sm">2 days</span>
          </a>
          <div class="dropdown-divider"></div>
          <a href="#" class="dropdown-item dropdown-footer">See All Notifications</a>
        </div>
      </li>
      <li class="nav-item">
        <a class="nav-link" data-widget="control-sidebar" data-slide="true" href="#" role="button">
          <i class="fas fa-th-large"></i>
        </a>
      </li>
    </ul>
  </nav>
  <!-- /.navbar -->

resources/views/admin/layouts/sidebar.blade.php
  <!-- Main Sidebar Container -->
  <aside class="main-sidebar sidebar-dark-primary elevation-4">
    <!-- Brand Logo -->
    <a href="index3.html" class="brand-link">
      <img src="{{ asset('admin/dist/img/AdminLTELogo.png')}}" alt="AdminLTE Logo" class="brand-image img-circle elevation-3"
           style="opacity: .8">
      <span class="brand-text font-weight-light">AdminLTE 3</span>
    </a>

    <!-- Sidebar -->
    <div class="sidebar">
      <!-- Sidebar user panel (optional) -->
      <div class="user-panel mt-3 pb-3 mb-3 d-flex">
        <div class="image">
            
          <img src="{{  auth()->user()->file ? auth()->user()->file : asset('admin/dist/img/user2-160x160.jpg') }}" class="img-circle elevation-2" alt="User Image">
        
        </div>
        <div class="info">
          <a href="#" class="d-block">{{ auth()->user()->name }} </a>
        </div>
      </div>

      <!-- Sidebar Menu -->
      <nav class="mt-2">
        <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
          <li class="nav-item has-treeview">
           <a href="#" class="nav-link">
              <i class="nav-icon fas fa-users"></i>
              <p>
                Users
                <i class="fas fa-angle-left right"></i>
                <span class="badge badge-info right">6</span>
              </p>
            </a>
            <ul class="nav nav-treeview">
              <li class="nav-item">
                <a href="{{ route('users.index') }}" class="nav-link">
                  <i class="far fa-circle nav-icon"></i>
                  <p>All users</p>
                </a>
              </li>
              
              {{-- <li class="nav-item">
                <a href="pages/layout/fixed-sidebar.html" class="nav-link">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Fixed Sidebar</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="pages/layout/fixed-topnav.html" class="nav-link">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Fixed Navbar</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="pages/layout/fixed-footer.html" class="nav-link">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Fixed Footer</p>
                </a>
              </li> --}}
            </ul>
          </li>
        </ul>
      </nav>
      <!-- /.sidebar-menu -->
    </div>
    <!-- /.sidebar -->
  </aside>

resources/views/admin/users/edit.blade.php
@extends('admin.layouts.app')

@section('content')

<!-- Main content -->
<section class="content">
  <div class="container-fluid">
    <section class="content">
    <div class="row">
      <div class="col-12">

        <div class="card">
          <div class="card-header">
            <h3 class="card-title">Edit User {{ $user->name }}</h3>
          </div>
          <!-- /.card-header -->
          <div class="card-body">
                <a target="_plank" href="/storage/{{ $user->file }}">Image / pdf </a>
            <p> <strong> Username: </strong> {{ $user->name }}</p>
            <p> <strong> Email: </strong> {{ $user->email }}</p>
            @if($user->mobile)
              <p class="text-muted">
                @foreach (json_decode($user->mobile) as $key => $mob)
                    <strong> Mobile {{ $key+=1 }}: </strong> {{ $mob }}<br>
                @endforeach
              </p>
            @endif
              <form action="{{ route('users.update', $user->id) }}" role="form" method="POST">
                  @csrf
                  <div class="form-group">
                    <div class="custom-control custom-switch custom-switch-off-danger custom-switch-on-success">
                      <input type="checkbox" {{ $user->active ? 'checked="checked"':'' }} name="active" class="custom-control-input" id="active">
                      <label class="custom-control-label" for="active">Switch Approved/not approverd </label>
                    </div>
                  </div>

                <div class="form-group">
                  <div class="custom-control custom-switch custom-switch-off-danger custom-switch-on-success">
                    <input type="checkbox" {{ $user->status? 'checked="checked"':'' }} name="status" class="custom-control-input" id="status">
                    <label class="custom-control-label" for="status">Switch block/un block </label>
                  </div>
                </div>

                <div class="form-group">
                    <div class="custom-control">
                        <label class="custom-control" for="reason_block"> Reason block </label>
                        <textarea name="reason_block" id="reason_block" cols="30" rows="10"> {{$user->reason_block}}</textarea>
                    </div>
                </div>

                <button class="btn btn-primary" type="submit"> Update </button>
            </form>

            </div>
            <!-- /.card-body -->
          </div>
          <!-- /.card -->
        </div>
        <!-- /.col -->
      </div>
      <!-- /.row -->
    </section>
    </div><!-- /.container-fluid -->
  </section>
  <!-- /.content -->
@endsection

resources/views/admin/users/index.blade.php
@extends('admin.layouts.app')

@section('content')

  <!-- Main content -->
	<section class="content">
		<div class="container-fluid">
      <section class="content">
      <div class="row">
        <div class="col-12">

          <div class="card">
            <div class="card-header">
              <h3 class="card-title">All Users</h3>
            </div>
            <!-- /.card-header -->
            <div class="card-body">
              <table id="example1" class="table table-bordered table-striped">
                <thead>
                <tr>
                  <th>Username</th>
                  <th>email</th>
                  <th>Status</th>
                  <th>Active</th>
                  <th> Image / pdf</th>
                  <th>Action</th>

                </tr>
                </thead>
                <tbody>
                  @foreach ($users as $user)

                    <tr>
                      <td>{{ $user->name }}</td>
                      <td>{{ $user->email }}</td>
                      <td>{{ $user->status == 0 ? "Un block" : "Block" }}</td>
                      <td>{{ $user->active == 1 ? "Approved" : "Not approved"}}</td>
                    <td><a target="_plank" href="/storage/{{ $user->file }}">Image / pdf </a></td>
                      <th>
                        <a href="{{ route('users.edit',$user->id) }}" class="btn btn-primary"> Edit </a>
                        <a href="{{ route('users.show',$user->id) }}" class="btn btn-success"> Show </a>
                        <a href="#" class="btn btn-danger delete-btn" renderURL="{{ route('users.delete',$user->id) }}"> Delete </a>
                      </th>
                    </tr>
                  @endforeach
                </tbody>
                <tfoot>
                <tr>
                  <th>Username</th>
                  <th>email</th>
                  <th>Status</th>
                  <th>Active</th>
                  <th> Image / pdf</th>
                  <th>Action</th>
                </tr>
                </tfoot>
              </table>
            </div>
            <!-- /.card-body -->
            <span onclick="getLocation()" class="col-6 btn btn-primary mt-3 mb-3"> Show map</span>
            <div class="col-12">

                <p id="mapholder"></p>
                <p id="demo"></p>
            </div>
        </div>
          <!-- /.card -->
        </div>
        <!-- /.col -->
      </div>
      <!-- /.row -->
    </section>
		</div><!-- /.container-fluid -->
	</section>
  <!-- /.content -->
  <form  id="form-delete" action="" method="POST">
    @csrf
  </form>
@endsection

@section('script')

    <script src="https://maps.google.com/maps/api/js?key=AIzaSyBlMQ9nSivKFGdPmaWXINolMOgx0Au79I4"></script>

    <script>
            var x=document.getElementById("demo");
            function getLocation()
              {
              if (navigator.geolocation)
                {
                navigator.geolocation.getCurrentPosition(showPosition,showError);
                }
              else{x.innerHTML="Geolocation is not supported by this browser.";}
              }

            function showPosition(position)
              {
              var lat=position.coords.latitude;
              var lon=position.coords.longitude;
              var latlon=new google.maps.LatLng(lat, lon)
              var mapholder=document.getElementById('mapholder')
              mapholder.style.height='250px';
              mapholder.style.width='100%';

              var myOptions={
              center:latlon,zoom:14,
              mapTypeId:google.maps.MapTypeId.ROADMAP,
              mapTypeControl:false,
              navigationControlOptions:{style:google.maps.NavigationControlStyle.SMALL}
              };
              var map=new google.maps.Map(document.getElementById("mapholder"),myOptions);
              var marker=new google.maps.Marker({position:latlon,map:map,title:"You are here!"});
              }

            function showError(error)
              {
              switch(error.code)
                {
                case error.PERMISSION_DENIED:
                  x.innerHTML="User denied the request for Geolocation."
                  break;
                case error.POSITION_UNAVAILABLE:
                  x.innerHTML="Location information is unavailable."
                  break;
                case error.TIMEOUT:
                  x.innerHTML="The request to get user location timed out."
                  break;
                case error.UNKNOWN_ERROR:
                  x.innerHTML="An unknown error occurred."
                  break;
                }
              }
            </script>

@endsection

resources/views/admin/users/show.blade.php
@extends('layouts.app')
@section('content')
    <div class="col-md-9">
        <div class="card">
            <div class="card-header">Dashboard</div>
            <div class="card-body">
                @if (session('status'))
                    <div class="alert alert-success" role="alert">
                        {{ session('status') }}
                    </div>
                @endif

                Show
            </div>
        </div>
    </div>
@endsection

resources/views/home.blade.php
@extends('layouts.app')


@section('content')
    <div class="col-md-9">
        <div class="card">
            <div class="card-header">Dashboard</div>
            <div class="card-body">
                @if (session('status'))
                    <div class="alert alert-success" role="alert">
                        {{ session('status') }}
                    </div>
                @endif

                You are logged in!
            </div>
        </div>
    </div>
@endsection

resources/views/layouts/sidebar.blade.php
<div class="col-3">
    <div class="card" >
        <ul class="list-group list-group-flush">
            <li class="list-group-item"><a href="{{route('site.users.show')}}"> Show users</a></li>
        </ul>
        <br>
        <ul class="list-group list-group-flush">
            <li class="list-group-item"><a href="{{route('site.auth.edit')}}"> Edit user</a></li>
        </ul>
    </div>
</div>

resources/views/site/users/show.blade.php
@extends('layouts.app')
@section('content')
    <div class="col-md-9">
        <div class="card">
            <div class="card-header">Users Show</div>
            <div class="card-body">
                @if (session('status'))
                    <div class="alert alert-success" role="alert">
                        {{ session('status') }}
                    </div>
                @endif

                @if (auth()->user()->status)
                    <h3>This acount is blocked </h3>

                    {!! auth()->user()->reason_block?'<p><strong>Reason block: </strong>'.auth()->user()->reason_block.'</p>':'' !!}

                @else
                    @if(auth()->user()->active)
                        <h3>Approved</h3>
                        @forelse ($users as $user)
                            {{ $user->name }} <br>
                        @empty
                            Dont have users
                        @endforelse
                    @else
                        your photo or pdf file not approved
                    @endif
                @endif
            </div>
        </div>
    </div>
@endsection